import request from '@/utils/request'

// 查询国际关键零部件清单列表
export function listBaseInternational(query) {
  return request({
    url: '/control/baseInternationalKeyComponentsList/list',
    method: 'get',
    params: query
  })
}

// 查询国际关键零部件清单详细
export function getBaseInternational(id) {
  return request({
    url: '/control/baseInternationalKeyComponentsList/' + id,
    method: 'get'
  })
}

// 新增国际关键零部件清单
export function addBaseInternational(data) {
  return request({
    url: '/control/baseInternationalKeyComponentsList/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}

// 修改国际关键零部件清单
export function updateBaseInternational(data) {
  return request({
    url: '/control/baseInternationalKeyComponentsList',
    method: 'put',
    data: data
  })
}

// 逻辑删除国际关键零部件清单
export function delLogic(id) {
  return request({
    url: '/control/baseInternationalKeyComponentsList/' + id,
    method: 'delete'
  })
}

// 升版
export function upgradeBaseInternational(formData,id) {
  return request({
    url: '/control/baseInternationalKeyComponentsList/upGrade/' + id,
    method: 'post',
    data: formData,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}
// 生成清单版本号、清单号
export function getBaseInternationalNo() {
  return request({
    url: '/control/baseInternationalKeyComponentsList/generateInfo',
    method: 'get'
  })
}

// 修改数据状态
export function updateBaseInternationalStatus(id) {
  return request({
    url: '/control/baseInternationalKeyComponentsList/updateStatus/' + id ,
    method: 'put'
  })
}

// 获取国际关键零部件清单模板的事业部
export function getBaseInternationalDepartment() {
  return request({
    url: '/control/baseInternationalKeyComponentsList/getAllUnit',
    method: 'get'
  })
}
// 获取品牌名称
export function getBrandName() {
  return request({
    url: '/control/brandData/allList?type=国际',
    method: 'get',
  })
}
