import request from '@/utils/request.js'

// 查询CCAP控制计划审批和描述列表
export function getCCAPPlanDescriptions(id,taskType) {
  return request({
    url: '/control/compilationTask/getCompilationTaskInfo',
    method: 'get',
    params: {
      controlPlanId: id,
      taskType
    }
  })
}

// 查询CCAP控制计划关键零部件列表
export function getCCAPPlanKeyList(id,query) {
  return request({
    url: '/control/ccapKeyParts/list',
    method: 'get',
    params: {
      controlPlanId:id,
      query
    }
  })
}

// 查询CCAP控制计划变更履历列表
export function getCCAPPlanChangeList(controlPlanId,taskId) {
  return request({
    url: '/control/ccapPlan/changeLog/list',
    method: 'get',
    params: {
      controlPlanId,
      taskId
    }
  })
}
