import request from '@/utils/request'

// 查询CQC控制计划列表
export function listPlan(query) {
  return request({
    url: '/control/cqcPlan/list',
    method: 'get',
    params: query
  })
}

// 查询CQC历史控制计划列表
export function historyListPlan(query) {
  return request({
    url: '/control/cqcPlan/hisList',
    method: 'get',
    params: query
  })
}

// 查询所有事业部名称
export function getAllBusinessUnitName() {
  return request({
    url: '/control/unit/list',
    method: 'get',
  })
}

// 查询所有车型代码
export function getAllvehicleModelCode() {
  return request({
    url: '/control/notificationManagement/getAllModelCode',
    method: 'get',
  })
}

// 查询CQC控制计划详细
export function getPlan(id) {
  return request({
    url: '/system/plan/' + id,
    method: 'get'
  })
}

// 新增CQC控制计划
export function addPlan(data) {
  return request({
    url: '/system/plan',
    method: 'post',
    data: data
  })
}

// 修改CQC控制计划
export function updatePlan(data) {
  return request({
    url: '/system/plan',
    method: 'put',
    data: data
  })
}

// 删除CQC控制计划
export function delPlan(id) {
  return request({
    url: '/system/plan/' + id,
    method: 'delete'
  })
}
